### File

`packages/ecl/core/utils/directives/ecl-click-outside/ecl-click-outside.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclClickOutside]`
Standalone | `true`

### Index

###### Methods
Public onClick getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
eclClickOutside
###### HostListeners
document:click

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

eclClickOutside
Type : `EventEmitter`

### HostListeners

document:click
Arguments : `'$event.target'`

### Methods

Public onClick
`onClick(target: unknown)`
Decorators : `@HostListener('document:click', ['$event.target'])`
Parameters :
Name | Type | Optional
target | `unknown` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

# results matching ""

# No results matching ""